commit c3d1cd221354e96df4cd780b62ede2ee36e4a96c
Author: freddy77 <freddy77>
Date:   Fri Apr 17 14:29:37 2009 +0000

    script to compile dblib unittests using Sybase

diff --git a/ChangeLog b/ChangeLog
index 8d3d89f..7d3e342 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Apr 17 16:28:55 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests: script to compile dblib unittests using Sybase
+
 Fri Apr 17 11:54:00 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c: disable output buffering
 	* src/dblib/unittests/null2.c: fix for MS library
@@ -1474,4 +1477,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2768 2009/04/17 09:54:27 freddy77 Exp $
+$Id: ChangeLog,v 1.2769 2009/04/17 14:29:37 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
new file mode 100755
index 0000000..ecba840
--- /dev/null
+++ b/misc/sybase_tests
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# $Id: sybase_tests,v 1.1 2009/04/17 14:29:44 freddy77 Exp $
+# these commands build dblib tests using Sybase dblib
+
+errore() {
+	echo $* >&2
+	exit 1
+}
+
+test -x configure || errore "configure not found, go to main directory"
+test -d "$SYBASE" || errore "SYBASE environment not defined"
+MAINDIR="`pwd`"
+cd "$SYBASE"
+OCSDIR=`echo OCS-*`
+cd "$MAINDIR"
+test -d "$SYBASE/$OCSDIR" || errore "OCS directory not found"
+
+# build
+trap 'echo Error at line $LINENO' ERR
+set -e
+make -j4
+TESTS_ENVIRONMENT=true make -j4 check
+
+handle_exit() {
+	echo Exiting
+	if test -r "$MAINDIR/src/dblib/unittests/Makefile.no_sybase"; then
+		cp -f "$MAINDIR/src/dblib/unittests/Makefile.no_sybase" "$MAINDIR/src/dblib/unittests/Makefile" && rm -f "$MAINDIR/src/dblib/unittests/Makefile.no_sybase"
+	fi
+	rm -f "$MAINDIR/src/dblib/unittests/sqlfront.h" "$MAINDIR/src/dblib/unittests/sqldb.h"
+}
+
+# rebuild tests
+cd src/dblib/unittests
+rm -f *.o *.exe
+make clean
+trap handle_exit EXIT
+echo '#include <sybfront.h>' > sqlfront.h
+echo '#include <sybdb.h>' > sqldb.h
+perl -pi.no_sybase -e "\$_ =~ s{ -I\\\$\\(top_(build|src)dir\\)/include}{ -I$SYBASE/$OCSDIR/include -I\\\$(top_builddir)/include} if (/^(DEFAULT_INCLUDES|AM_CPPFLAGS)\s*=/);
+\$_ =~ s{../libsybdb.la}{-lsybdb -lsybunic} if (/^LIBS\s*=/);
+\$_ =~ s{-L../.libs -R \\\$\\(abs_builddir\\)/../.libs}{-L$SYBASE/$OCSDIR/lib} if (/^AM_LDFLAGS\s*=/);
+" Makefile
+TESTS_ENVIRONMENT=true make -j4 check 
+

